<template lang="pug">
    v-card
        v-card-title Timber
        v-card-text
            div.row
                div.col-lg-6
                    question(
                        v-for="question in questions1"
                        :question="question"
                        @input="grabChange(question.name, $event)"
                    )
                div.col-lg-6
                    question(
                        v-for="question in questions2"
                        :question="question"
                        @input="grabChange(question.name, $event)"
                    )
</template>

<script>
import question from "../Question_Wrapper.vue";
export default {
    name: "Timber",
    props: {
        options: {
            required: true,
            type: Object
        },
        timber: {
            required: true,
            type: Object
        }
    },
    data() {
        return {
            localTimber: null,
            questions1: [
                {
                    label: "Type",
                    type: "text",
                    name: "timber_type",
                    value: this.timber.timber_type
                },
                {
                    label: "Setting",
                    type: "text",
                    name: "setting",
                    value: this.timber.setting
                },
                {
                    label: "Orientation",
                    type: "select",
                    name: "orientation",
                    value: this.timber.orientation
                },
                {
                    label: "Cross Section",
                    type: "text",
                    name: "cross_section",
                    value: this.timber.cross_section
                },
                {
                    label: "condition",
                    type: "text",
                    name: "condition",
                    value: this.timber.condition
                },
                {
                    label: "Length",
                    type: "text",
                    name: "dimensions_length",
                    value: this.timber.dimensions_length
                },
                {
                    label: "Width",
                    type: "text",
                    name: "dimensions_width",
                    value: this.timber.dimensions_width
                },
                {
                    label: "Height",
                    type: "text",
                    name: "dimensions_height",
                    value: this.timber.dimensions_height
                },
                {
                    label: "Units",
                    type: "select",
                    options: this.options.units,
                    name: "dimensions_units",
                    value: this.timber.dimensions_units
                },
                {
                    label: "Conversion",
                    type: "text",
                    name: "convertsion",
                    value: this.timber.convertsion
                },
                {
                    label: "Tool Markings",
                    type: "text",
                    name: "tool_markings",
                    value: this.timber.tool_markings
                }
            ],
            questions2: [
                {
                    label: "Joint Fixings",
                    type: "text",
                    name: "joint_fixings",
                    value: this.timber.joint_fixings
                },
                {
                    label: "Surface Treatment",
                    type: "text",
                    name: "surface_treatment",
                    value: this.timber.surface_treatment
                },
                {
                    label: "Reuse",
                    type: "text",
                    name: "reuse",
                    value: this.timber.reuse
                },
                {
                    label: "Interpretation",
                    type: "select",
                    options: this.options.interpretations,
                    name: "interpretation",
                    value: this.timber.interpretation
                },
                {
                    label: "Interpretation Comment",
                    type: "textArea",
                    name: "interpretation_comment",
                    value: this.timber.interpretation_comment
                },
                {
                    label: "Other Comments",
                    type: "textArea",
                    name: "comments",
                    value: this.timber.comments
                },
                {
                    label: "Discussion",
                    type: "textArea",
                    name: "disscussion",
                    value: this.timber.disscussion
                }
            ]
        };
    },
    created() {
        this.localTimber = this.timber;
    },
    methods: {
        valueChanged() {
            this.$emit("input", { context: "Timber", data: this.localTimber });
        },
        grabChange(element, value) {
            this.localTimber[element] = value;
            this.valueChanged();
        }
    },
    components: {
        question
    }
};
</script>
